Skip to main content
GET
Retrieves the bill details.

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

Path Parameters

id
number
required

The bill id

Response

200 - application/json

The bill details have been successfully retrieved.

id
number
required

The unique identifier of the bill

Example:

1

billNumber
string
required

The bill number

Example:

"BILL-2024-001"

billDate
string<date-time>
required

The date the bill was issued

Example:

"2024-03-15T00:00:00Z"

dueDate
string<date-time>
required

The due date of the bill

Example:

"2024-04-15T00:00:00Z"

vendorId
number
required

The ID of the vendor

Example:

1001

entries
object[]
required

The line items of the bill

balance
number
required

The balance of the bill

Example:

1000

paymentAmount
number
required

The amount paid

Example:

500

subtotal
number
required

The subtotal amount before tax and adjustments

Example:

900

total
number
required

The total amount including tax and adjustments

Example:

1000

dueAmount
number
required

The due amount remaining to be paid

Example:

500

isOverdue
boolean
required

Whether the bill is overdue

Example:

false

isPartiallyPaid
boolean
required

Whether the bill is partially paid

Example:

true

isFullyPaid
boolean
required

Whether the bill is fully paid

Example:

false

createdAt
string<date-time>
required

The date when the bill was created

Example:

"2024-03-15T00:00:00Z"

referenceNo
string

The reference number

Example:

"PO-2024-001"

exchangeRate
number

The exchange rate for currency conversion

Example:

1.25

currencyCode
string

The currency code

Example:

"USD"

note
string

Additional notes about the bill

Example:

"Office supplies and equipment for Q2 2024"

isInclusiveTax
boolean

Whether tax is inclusive in the item rates

Example:

false

warehouseId
number

The ID of the warehouse

Example:

101

branchId
number

The ID of the branch

Example:

201

branch
object

Branch details

projectId
number

The ID of the project

Example:

301

attachments
object[]

The attachments of the bill

discount
number

The discount value

Example:

100

discountType
enum<string>

The type of discount (percentage or fixed)

Available options:
percentage,
amount
Example:

"amount"

adjustment
number

The adjustment amount

Example:

50

taxAmountWithheld
number

The total amount of tax withheld

Example:

50

creditedAmount
number

The amount credited

Example:

0

updatedAt
string<date-time>

The date when the bill was last updated

Example:

"2024-03-16T00:00:00Z"